> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apipricinginsightsdistribution

> Get price distribution insights



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json get /api/pricing/insights/distribution
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/pricing/insights/distribution:
    get:
      tags:
        - pricing
      description: Get price distribution insights
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: false
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: false
          schema:
            type: string
        - name: productDefinitions
          in: query
          required: true
          schema:
            type: array
            items:
              type: object
              properties:
                id:
                  type: number
                quantity:
                  type: number
              required:
                - id
                - quantity
        - name: validAt
          in: query
          required: true
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PriceDistribution'
                required:
                  - data
components:
  schemas:
    PriceDistribution:
      type: object
      properties:
        benchmark:
          $ref: '#/components/schemas/PriceDistirbutionBenchmark'
        thresholds:
          type: object
          properties:
            upper:
              $ref: '#/components/schemas/PriceDistributionMaker'
            lower:
              $ref: '#/components/schemas/PriceDistributionMaker'
          required:
            - upper
            - lower
      required:
        - benchmark
        - thresholds
    PriceDistirbutionBenchmark:
      type: object
      properties:
        interpolatedPercent:
          type: number
        price:
          type: number
        percentile:
          type: number
      required:
        - interpolatedPercent
        - price
        - percentile
    PriceDistributionMaker:
      type: object
      properties:
        price:
          type: number
        percentile:
          type: number
      required:
        - price
        - percentile

````